Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.logging
Class LogManager

    org.huihoo.jfox.logging.LogManager

All Implemented Interfaces:
  LogManagerMBean

public class LogManager
implements LogManagerMBean

Author:
  Young Yang

Fields inherited from interface org.huihoo.jfox.logging.LogManagerMBean
`OBJECT_NAME`

Constructor Summary
`LogManager()`

Method Summary
`java.lang.String` | `getLevel()`
`java.lang.String` | `getPattern(java.lang.String appenderName)`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean aBoolean)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer mBeanServer, javax.management.ObjectName objectName)`
`void` | `reset()` LogerManager.resetConfig & reset the root default appender
`void` | `setLevel(java.lang.String level)` set the Level of rootLogger
`void` | `setPattern(java.lang.String appenderName, java.lang.String pattern)` set appender pattern of the rootLogger

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer mBeanServer,
                                                   javax.management.ObjectName objectName)
                                            throws java.lang.Exception

### postRegister

    public void postRegister(java.lang.Boolean aBoolean)

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

### postDeregister

    public void postDeregister()

### reset

    public void reset()

  Description copied from interface: `LogManagerMBean`
  LogerManager.resetConfig & reset the root default appender
  Specified by:
    `reset` in interface `LogManagerMBean`

### setLevel

    public void setLevel(java.lang.String level)

  Description copied from interface: `LogManagerMBean`
  set the Level of rootLogger
  Specified by:
    `setLevel` in interface `LogManagerMBean`

### getLevel

    public java.lang.String getLevel()

  Specified by:
    `getLevel` in interface `LogManagerMBean`

### setPattern

    public void setPattern(java.lang.String appenderName,
                           java.lang.String pattern)

  Description copied from interface: `LogManagerMBean`
  set appender pattern of the rootLogger
  Specified by:
    `setPattern` in interface `LogManagerMBean`

### getPattern

    public java.lang.String getPattern(java.lang.String appenderName)

  Specified by:
    `getPattern` in interface `LogManagerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD